﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ServiceModel;
using System.Runtime.Serialization;

namespace CommonContracts
{
    
    [ServiceContract(Namespace = "zhou-samples", Name = "demo")]
    public interface IDemo
    {
        [OperationContract(Action = "sqr")]
        [FaultContract(typeof(ErrorData))]
        double SQR(double input);
    }

    [DataContract(Namespace = "zhou-data")]
    public class ErrorData
    {
        [DataMember]
        public string ArgName { get; set; }
        [DataMember]
        public double ErrorVal { get; set; }
        [DataMember]
        public string CalledAction { get; set; }
    }
}
